#include "triangles.h"

std::vector<std::vector<int> > solve(int n) {
    std::vector<Triangle> A = {Triangle(0, 1, 2)};
    std::vector<Triangle> B = {Triangle(1, 2, 3)};
    std::vector<Triangle> C = {Triangle(0, 2, 3)};
    std::vector<Triangle> D = {Triangle(0, 1, 3)};
    int compare_result = compare(A, B);
    std::vector<Triangle> E;
    if (compare_result == -1) {
        E = B;
    } else {
        E = A;
    }
    std::vector<Triangle> F;
    compare_result = compare(C, D);
    if (compare_result == -1) {
        F = B;
    } else {
        F = A;
    }

    compare_result = compare(E, F);
    if (compare_result == -1) {
        E = F;
    }


    std::vector<std::vector<int> > ans(1);
    ans[0].push_back(E.i);
    ans[1].push_back(E.j);
    ans[2].push_back(E.k);
    return ans;
}
